Bug 121001 - RFE: Make mount support use of filesystem labels
RFE: Make mount support use of filesystem labels
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: busybox (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 21:49 EDT by Mike MacCana
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 10:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2004-04-15 21:49:02 EDT
Description of problem:
The mount command used in rescue mode doesn't support the use of disk
labels. This is a hassle for customers who (if anaconda can't find
their install) need to manually look inside each of their partitions
to identify them.

Version-Release number of selected component (if applicable):
0.60.5-8

How reproducible:
Always

Steps to Reproduce:
1.Rescue system where anaconda can't find the hard disk
2.Attempt to mount a partition using the obvious method
  
Actual results:
mount complains that the block device must be used. Customers must
manually mount and identify each of their filesystems until they find
the appropriate partition.

Expected results:
Busybox should be able to use disklabels just as the real mount can.

Additional info:
Comment 1 Suzanne Hillman 2004-04-16 16:45:42 EDT
Internal RFE bug #121075 entered; will be considered for future releases.
Comment 2 Suzanne Hillman 2004-04-22 10:44:42 EDT
Thank you for the suggestion. It was passed along to product
management, but not committed for a future release.

Note You need to log in before you can comment on or make changes to this bug.